package com.atlassian.bitbucket.repository;

import com.atlassian.bitbucket.commit.CommitDiscussionCommentActivity;

import javax.annotation.Nonnull;

public interface RepositoryActivityVisitor<T> {

    T visit(@Nonnull CommitDiscussionCommentActivity activity);

    T visit(@Nonnull RepositoryPushActivity activity);
}
